Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Increase Disk Size

Increases the workspace disk size. Disk size can only be increased, not reduced. Works for both Instances and Virtual Machines.

For Virtual Machines: after resizing, the new storage is not automatically visible inside the VM. To apply the new size, either restart the VM or run these commands while it is running: sudo partprobe && sudo growpart /dev/vda 1 && sudo resize2fs /dev/vda1

PUT/notebooks/{Instance_id}/pvc/upgrade/

Path parameters

  • Instance_idPathintegerrequired

    Instance ID

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

Request body

application/json

object
sizeinteger

The size value

Responses

200Disk size upgraded successfully
object
codeinteger
example200
messagestring
exampleDisk Size upgraded successfully. It can take a few minutes for the changes to get reflected
dataobject
errorsobject